Skip to main content
POST
/
github2
/
v1
/
async
/
upload-batch-raw-files
Batch upload raw files asynchronously — single commit via Git Blob/Tree API
curl --request POST \
  --url https://eu.phrase.com/connectors/github2/v1/async/upload-batch-raw-files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Webhook: <x-webhook>' \
  --data '
{
  "configuration": {
    "useTree": true,
    "createPr": true,
    "prBaseBranch": "<string>",
    "prTitle": "<string>",
    "newBranchOrigin": "<string>",
    "useCustomBranchName": true,
    "customBranchName": "<string>"
  },
  "path": {
    "owner": "<string>",
    "repo": "<string>",
    "branch": "<string>"
  },
  "files": [
    {
      "location": "<string>",
      "storageId": "<string>"
    }
  ],
  "credentials": {},
  "connectorUuid": "<string>"
}
'
{
  "requestId": "e48eda63-928c-4155-bez9-fdbsaadc15f3",
  "webHookUrl": "https://example.tld/my-webhook"
}

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-Webhook
string
required

Required on /async/... endpoints. Bifrost POSTs the operation result to this URL once the connector finishes processing. Omitting this header on an async endpoint returns 400.

Body

application/json
configuration
object
required

Github2 configuration

path
object
required

Path within Github2 repository

files
object[]
required

List of files to upload

credentials
object

Credentials for Github2 connector

connectorUuid
string

Connector UUID if using stored credentials

Response

200 - application/json

Successful operation. If X-ResponseType is set to 'ID' or no value is sent in the header, the file is saved and can be retrieved by sending a GET request to this endpoint. If X-ResponseType is set to 'OBJECT', the file is returned as a stream.

webhookUrl
string

Webhook URL you supplied in the request

requestId
string

Request ID you can use to retrieve the result